# coding: utf-8
from os import path


def prepare_str(str_line):
    return str_line.decode('utf-8').replace('\n', '').strip()

# {ИС-источник : постфикс шаблона данных}
SYSTEMS = {
    u'ЭДС': 'dou',
    u'ЭШ': 'school',
    u'ЭДО': 'extedu',
    u'ЭПО': 'epo',
    u'ЭК': 'college'

}

# Названия для детских садов
with open(
    path.join(
        path.dirname(path.realpath(__file__)),
        'templates/kindergarten_names.txt'
    ),
    'r'
) as names:
    KINDERGARTEN_NAMES = []
    for line in names:
        KINDERGARTEN_NAMES.append(prepare_str(line))

# Отчества для персон
MIDDLE_NAMES = [
    u'Артемович',
    u'Алексеевич',
    u'Александрович',
    u'Борисович',
    u'Богданович',
    u'Васильевич',
    u'Владимирович',
    u'Вячеславович',
    u'Генадьевич',
    u'Дмитриевич',
    u'Егорович',
    u'Иванович',
    u'Кириллович',
    u'Леонидович',
    u'Михайлович',
    u'Николаевич',
    u'Олегович',
    u'Петрович',
    u'Романович',
    u'Сергеевич'
]

# Физ. группы <PhysicalCultureGroup>
PhysicalCultureGroup = {
    21: u"Основная",
    22: u"Подготовительная",
    23: u"Специальная А",
    24: u"Специальная Б"
}

# Группы здоровья <HealthGroups>
HealthGroups = {
    11: u"Группа 1 - здоровые",
    12: u"Группа 2 - с незначительными отклонениями",
    13: u"Группа 3 - с хроническими "
        u"заболеваниями и хорошим "
        u"самочувствием, либо с временными "
        u"отклонениями в состоянии здоровья",
    14: u"Группа 4 - с хроническими "
        u"заболеваниями и плохим "
        u"самочувствием",
    15: u"Группа 5 - с хроническими "
        u"заболеваниями и "
        u"наблюдаются в специальных лечебницах",
    16: u'Группа 1 (18 лет и старше)',
    17: u'Группа 2 (18 лет и старше)',
    18: u'Группа 3 (18 лет и старше)',
}

# Вид обучения при длит. лечении <LongTermTreatment>
LongTermTreatment = {
    1: u'Обучение на дому',
    2: u'Обучение в медицинской организации',
    3: u'Обучение в организации, осуществляющей '
       u'лечение, оздоровление и (или) отдых',
}

# Группы инвалидности <DisabilityGroup>
DisabilityGroup = {
    11: u"Первая группа",
    12: u"Вторая группа",
    13: u"Третья группа",
    14: u"Ребенок-инвалид (для лиц до 18 лет)"
}

# Вид адаптированности. <AdaptationProgram>
AdaptationProgram = {
    201: u"для слабовидящих обучающихся",
    202: u"для слепых обучающихся",
    203: u"для слабослышащих",
    204: u"для глухих",
    205: u"для слабослышащих обучающихся, имеющих сложную структуру "
         u"дефекта (нарушение слуха и задержка психического развития)",
    206: u"для обучающихся, имеющих нарушения "
         u"опорно-двигательного аппарата",
    207: u"для обучающихся, имеющих тяжелые нарушения речи",
    208: u"для обучающихся с задержкой психического развития",
    209: u"для обучающихся с умственной отсталостью",
    210: u"для обучающихся с умственной отсталостью, "
         u"имеющих сложную структуру дефекта",
    211: u"для обучающихся с иными ограничениями здоровья"
}

# Трудные жизненные ситуации. <DifficultSituation>
DifficultSituation = {
    101: u"Дети, оставшиеся без попечения родителей "
         u"по причине смерти родителей",
    102: u"Дети, оставшиеся без попечения родителей "
         u"по причине лишения родителей родительских прав",
    103: u"Дети, оставшиеся без попечения родителей по "
         u"причине ограничения родителей в родительских правах",
    104: u"Дети, оставшиеся без попечения родителей по "
         u"причине признания родителей недееспособными",
    105: u"Дети, оставшиеся без попечения родителей по "
         u"причине болезни родителей",
    106: u"Дети, оставшиеся без попечения родителей по "
         u"причине длительного отсутствия родителей",
    2: u"Дети-инвалиды",
    301: u"Дети с нарушениями слуха",
    302: u"Дети с нарушениями зрения",
    303: u"Дети с тяжелыми нарушениями речи",
    304: u"Дети с нарушением опорно-двигательного аппарата",
    305: u"Дети с детским церебральным параличом",
    306: u"Дети с интеллектуальными нарушениями",
    307: u"Дети с расстройством аутистического спектра",
    308: u"Дети с задержкой психического развития",
    309: u"Дети с психическими заболеваниями",
    310: u"Дети с заболеваниями нервной системы",
    311: u"Дети со сложной структурой дефекта",
    4: u"Дети - жертвы вооруженных и межнациональных конфликтов, "
       u"экологических и техногенных катастроф, стихийных бедствий",
    5: u"Дети - жертвы экологических и техногенных катастроф, "
       u"стихийных бедствий",
    6: u"Дети из семей беженцев и вынужденных переселенцев",
    7: u"Дети, оказавшиеся в экстремальных условиях",
    8: u"Дети - жертвы насилия",
    9: u"Дети, отбывающие наказание в виде лишения "
       u"свободы в воспитательных колониях",
    10: u"Дети, с девиантным (общественно опасным) поведением",
    11: u"Дети, проживающие в малоимущих семьях",
    12: u"Дети с отклонениями в поведении",
    13: u"Дети, жизнедеятельность которых объективно "
        u"нарушена в результате сложившихся обстоятельств"
}

SCHOOL_SUBJECTS = [
    u'Английский язык',
    u'Биология',
    u'География',
    u'Информатика и информационно-коммуникационные технологии (ИКТ)',
    u'Испанский язык',
    u'История',
    u'Литература',
    u'Математика',
    u'Немецкий язык',
    u'Обществознание',
    u'Русский язык',
    u'Физика',
    u'Французский язык',
    u'Химия',
]

COLLEGE_SUBJECTS = [
    u'Биология',
    u'Бухгалтерия',
    u'Делопроизводство',
    u'Дизайн',
    u'Композиция',
    u'Математика',
    u'Материаловедение',
    u'Рисунок',
    u'Столярное дело',
    u'Технология',
]